com.mockobjects.rmi

## Class MockNaming

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.rmi.MockNaming

- All Implemented Interfaces:
    Naming, Verifiable

      public class MockNaming
      extends MockObject
      implements Naming

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockNaming()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(java.lang.String name, java.rmi.Remote obj)`
    `java.lang.String[]` | `list(java.lang.String name)`
    `java.rmi.Remote` | `lookup(java.lang.String name)`
    `void` | `rebind(java.lang.String name, java.rmi.Remote obj)`
    `void` | `setExpectedLookupName(java.lang.String aName)`
    `void` | `setupAddLookup(java.rmi.Remote aRemote)`
    `void` | `unbind(java.lang.String name)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockNaming

          public MockNaming()

  - ### Method Detail

    - #### bind

          public void bind(java.lang.String name,
                           java.rmi.Remote obj)
                    throws java.rmi.AlreadyBoundException,
                           java.net.MalformedURLException,
                           java.rmi.RemoteException

      Specified by:
        `bind` in interface `Naming`
      Throws:
        `java.rmi.AlreadyBoundException`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`

    - #### setupAddLookup

          public void setupAddLookup(java.rmi.Remote aRemote)

    - #### setExpectedLookupName

          public void setExpectedLookupName(java.lang.String aName)

    - #### lookup

          public java.rmi.Remote lookup(java.lang.String name)
                                 throws java.rmi.NotBoundException,
                                        java.net.MalformedURLException,
                                        java.rmi.RemoteException

      Specified by:
        `lookup` in interface `Naming`
      Throws:
        `java.rmi.NotBoundException`
        `java.net.MalformedURLException`
        `java.rmi.RemoteException`

    - #### unbind

          public void unbind(java.lang.String name)
                      throws java.rmi.RemoteException,
                             java.rmi.NotBoundException,
                             java.net.MalformedURLException

      Specified by:
        `unbind` in interface `Naming`
      Throws:
        `java.rmi.RemoteException`
        `java.rmi.NotBoundException`
        `java.net.MalformedURLException`

    - #### rebind

          public void rebind(java.lang.String name,
                             java.rmi.Remote obj)
                      throws java.rmi.RemoteException,
                             java.net.MalformedURLException

      Specified by:
        `rebind` in interface `Naming`
      Throws:
        `java.rmi.RemoteException`
        `java.net.MalformedURLException`

    - #### list

          public java.lang.String[] list(java.lang.String name)
                                  throws java.rmi.RemoteException,
                                         java.net.MalformedURLException

      Specified by:
        `list` in interface `Naming`
      Throws:
        `java.rmi.RemoteException`
        `java.net.MalformedURLException`

Copyright © 2002 Mock Objects. All Rights Reserved.